# frozen_string_literal: true

require 'pp'
require './tasks/json_schema'

SCHEMA_PATH = './lib/kani_laser/schema.rb'

namespace :schema do
  desc 'Update Request Body Parameters JSON schema'
  task :update do
    File.open(SCHEMA_PATH, 'w') do |f|
      f.puts <<~RUBY
        # frozen_string_literal: true
        # Generated by "rake schema:update".  DO NOT EDIT!
        # source: #{JSONSchema::REFERENCE_URL}

        module KaniLaser
          SCHEMA = #{JSONSchema.fetch.pretty_inspect.strip}
        end
      RUBY
    end
  end
end
